# flutter_jpush_vip

极光推送厂商版

## android篇
现android仅集成了小米,oppo,华为,vivo厂商

1. 主module build.gradle 配置
```
android {
    defaultConfig {
        manifestPlaceholders = [
            JPUSH_PKGNAME : "注册报名",
            JPUSH_APPKEY  : "JPush 上注册的包名对应的 Appkey",
            JPUSH_CHANNEL : "暂时填写默认值即可",
            XIAOMI_APPKEY : "MI-小米平台注册的appkey",
            XIAOMI_APPID  : "MI-小米平台注册的appid",
            OPPO_APPKEY   : "OP-OPPO平台注册的appkey",
            OPPO_APPID    : "OP-OPPO平台注册的appid",
            OPPO_APPSECRET: "OP-OPPO平台注册的appsecret",
            VIVO_APPKEY   : "VIVO平台注册的appkey",
            VIVO_APPID    : "VIVO平台注册的appid",
            HUAWEI_APPID  : "华为注册的appid",
        ]
    }
}
```
2. 在被调起的activity处理消息
```
// 在AndroidManifest.xml配置Activity android:exported="true", 如果activity是首页又不想多次启动可以设置android:launchMode="singleTask"

public class MainActivity extends FlutterActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        com.qiaomeng.flutter.flutter_jpush_vip.FlutterJpushVipPlugin.FlutterJpushVipPlugin.onNewIntent(getIntent());

    }

    @Override
    protected void onNewIntent(@NonNull Intent intent) {
        super.onNewIntent(intent);
        com.qiaomeng.flutter.flutter_jpush_vip.FlutterJpushVipPlugin.FlutterJpushVipPlugin.onNewIntent(intent);
    }



}
```


3. 厂商推送时

小米不需要带uri_activity
oppo 需要带 uri_action
华为 需要带uri_activity
vivo 需要带uri_activity




# api
```
import 'package:flutter_jpush_vip/flutter_jpush_vip.dart';

// 初始化
FlutterJpushVip.init().then((_InitResult value) {
   
});

// 监听点击了通知
FlutterJpushVip.onNotification((_Notification n){
   
});

// 获取注册ID，需要再init后才能获取
String registrationId = await FlutterJpushVip.getRegistrationID();
// 清除通知
FlutterJpushVip.clearAllNotifications();
// 开启调试模式
FlutterJpushVip.debug();

class _InitResult {
  int code;                   // 状态码，0标识初始化成功
  String registrationId;      // 注册ID
}

class _Notification {
  String msgId;                 // 消息ID
  String content;               // 消息内容
  String title;                 // 消息标题   
  Map extras;                   // 携带参数
  String platform;              // 推送平台,  0为极光，1为小米，2为华为，3为魅族，4为oppo，5为vivo，8为FCM

}


```